const baseURL = window.GLOBAL_CONFIG.uc

export const org_list = (data = {}) => {
  return request({ url: '/user/org/index', data })
}

export const org_tree_list = (data = {}) => {
  return request({ url: '/user/org/list_tree', data })
}

export const org_add = (data = {}) => {
  return request({ url: '/user/org/add', data })
}

export const org_detail = (data = {}) => {
  return request({ url: '/user/org/detail', data })
}

export const org_edit = (data = {}) => {
  return request({ url: '/user/org/edit', data })
}

export const org_delete = (data = {}) => {
  return request({ url: '/user/org/delete', data })
}

// 地区
export const area_list = (data = {}) => {
  return request({ baseURL, url: '/area/main/index', data })
}

export const user_list = (data = {}) => {
  return request({ baseURL, url: '/user/main/index', data })
}

export const orgMenu_add = (data = {}) => {
  return request({ url: '/user/org_menu/add', data })
}

export const org_setting = (data = {}) => {
  return request({ url: '/user/org_menu/setting', data })
}

// 成员
export const org_member_add = (data = {}) => {
  return request({ url: '/user/org_member/add', data })
}

export const org_member_list = (data = {}) => {
  return request({ url: '/user/org_member/index', data })
}

export const org_member_delete = (data = {}) => {
  return request({ url: '/user/org_member/delete', data })
}
